Loading...
Searching...
No Matches
reiserfs.h File Reference

Go to the source code of this file.

## Data Structures

struct | reiserfs_super_block

## Macros

#define | DEFAULT_BLOCK_SIZE 4096
#define | DEFAULT_JOURNAL_SIZE 8192
#define | FS_FORMAT_3_5 0
#define | FS_FORMAT_3_6 2
#define | JOURNAL_DEF_RATIO 8
#define | JOURNAL_MAX_BATCH 900
#define | JOURNAL_MAX_COMMIT_AGE 30
#define | JOURNAL_MAX_TRANS 1024
#define | JOURNAL_MAX_TRANS_AGE 30
#define | JOURNAL_MIN_RATIO 2
#define | JOURNAL_MIN_SIZE 512
#define | JOURNAL_MIN_TRANS 256
#define | R5_HASH 3
#define | REISER2FS_SIGNATURE "ReIsEr2Fs"
#define | REISER3FS_SIGNATURE "ReIsEr3Fs"
#define | REISERFS_API_VERSION 0
#define | REISERFS_SIGNATURE "ReIsErFs"
#define | SUPER_OFFSET_IN_BYTES 64*1024
#define | TEA_HASH 1
#define | YURA_HASH 2

## Typedefs

typedef enum reiserfs_exception_option | reiserfs_exception_option_t
typedef void * | reiserfs_exception_t
typedef enum reiserfs_exception_type | reiserfs_exception_type_t
typedef void * | reiserfs_fs_t
typedef void | reiserfs_gauge_handler_t(const char *, unsigned int, void *, int, int, int)
typedef void * | reiserfs_gauge_t
typedef struct reiserfs_super_block | reiserfs_super_block_t

## Enumerations

enum | reiserfs_exception_option { EXCEPTION_UNHANDLED = 1 << 0 , EXCEPTION_FIX = 1 << 1 , EXCEPTION_YES = 1 << 2 , EXCEPTION_NO = 1 << 3 , EXCEPTION_OK = 1 << 4 , EXCEPTION_RETRY = 1 << 5 , EXCEPTION_IGNORE = 1 << 6 , EXCEPTION_CANCEL = 1 << 7 }
enum | reiserfs_exception_type { EXCEPTION_INFORMATION = 1 , EXCEPTION_WARNING = 2 , EXCEPTION_ERROR = 3 , EXCEPTION_FATAL = 4 , EXCEPTION_BUG = 5 , EXCEPTION_NO_FEATURE = 6 }

## Macro Definition Documentation

## DEFAULT_BLOCK_SIZE

#define DEFAULT_BLOCK_SIZE 4096

## DEFAULT_JOURNAL_SIZE

#define DEFAULT_JOURNAL_SIZE 8192

## FS_FORMAT_3_5

#define FS_FORMAT_3_5 0

## FS_FORMAT_3_6

#define FS_FORMAT_3_6 2

## JOURNAL_DEF_RATIO

#define JOURNAL_DEF_RATIO 8

## JOURNAL_MAX_BATCH

#define JOURNAL_MAX_BATCH 900

## JOURNAL_MAX_COMMIT_AGE

#define JOURNAL_MAX_COMMIT_AGE 30

## JOURNAL_MAX_TRANS

#define JOURNAL_MAX_TRANS 1024

## JOURNAL_MAX_TRANS_AGE

#define JOURNAL_MAX_TRANS_AGE 30

## JOURNAL_MIN_RATIO

#define JOURNAL_MIN_RATIO 2

## JOURNAL_MIN_SIZE

#define JOURNAL_MIN_SIZE 512

## JOURNAL_MIN_TRANS

#define JOURNAL_MIN_TRANS 256

## R5_HASH

#define R5_HASH 3

## REISER2FS_SIGNATURE

#define REISER2FS_SIGNATURE "ReIsEr2Fs"

## REISER3FS_SIGNATURE

#define REISER3FS_SIGNATURE "ReIsEr3Fs"

## REISERFS_API_VERSION

#define REISERFS_API_VERSION 0

## REISERFS_SIGNATURE

#define REISERFS_SIGNATURE "ReIsErFs"

## SUPER_OFFSET_IN_BYTES

#define SUPER_OFFSET_IN_BYTES 64*1024

## TEA_HASH

#define TEA_HASH 1

## YURA_HASH

#define YURA_HASH 2

## Typedef Documentation

## reiserfs_exception_option_t

typedef enum reiserfs_exception_option reiserfs_exception_option_t

## reiserfs_exception_t

typedef void* reiserfs_exception_t

## reiserfs_exception_type_t

typedef enum reiserfs_exception_type reiserfs_exception_type_t

## reiserfs_fs_t

typedef void* reiserfs_fs_t

## reiserfs_gauge_handler_t

typedef void reiserfs_gauge_handler_t(const char *, unsigned int, void *, int, int, int)

## reiserfs_gauge_t

typedef void* reiserfs_gauge_t

## reiserfs_super_block_t

typedef struct reiserfs_super_block reiserfs_super_block_t

## Enumeration Type Documentation

## reiserfs_exception_option

enum reiserfs_exception_option

Enumerator
EXCEPTION_UNHANDLED |
EXCEPTION_FIX |
EXCEPTION_YES |
EXCEPTION_NO |
EXCEPTION_OK |
EXCEPTION_RETRY |
EXCEPTION_IGNORE |
EXCEPTION_CANCEL |

## reiserfs_exception_type

enum reiserfs_exception_type

Enumerator
EXCEPTION_INFORMATION |
EXCEPTION_WARNING |
EXCEPTION_ERROR |
EXCEPTION_FATAL |
EXCEPTION_BUG |
EXCEPTION_NO_FEATURE |